ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 3.0

ARMA 3.0 マニュアル

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2004-60-1
 
 
1 サマリ
 
 
対象システム
ARMA2.0,ARMA2.1,ARMA2.2
パッケージ
imlib, imlib+png2
概要
任意コード実行の可能性
危険度
2
 
 
 
2 詳細
 
 本アラートは 2004/9/17 公開の OSA-2004-60 の追加情報となります。OSA-2004-60 の修正に不充分な箇所が発見されました。
 imlib 系のライブラリにバッファオーバーフロー脆弱性が指摘されています。 悪意をもって細工をされた BMP 形式のファイルを読み込んだ場合に任意のコードを実行される可能性があります。詳細は以下の URL をご参照下さい。
 
「CAN-2004-0817」 Common Vulnerabilities and Exposures
 
 
 ARMA 2.0, ARMA 2.1 では imlib-ogl 1.9.14-2woody3o1 で対応を行っています。ARMA 2.2 では imlib-ogl のバージョン 1.9.14-12o201 及び imlib+png2-ogl のバージョン 1.9.14-13o201 で対処を行っています。
 
 
3 対処方法
 
 root 権限で以下のコマンドを実行しパッケージのアップデートを行って下さい。
 ARMA 2.2 をご利用の場合
 
 
 
# apt-get update 
# apt-get install imlib2 gdk-imlib1
 
 
 ARMA 2.0, ARMA 2.1 をご利用の場合
 
 
 
# apt-get update
# apt-get install imlib1 gdk-imlib1
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp